SNMPDF(1)

NAME
snmpdf - display disk space usage on a network entity via SNMP

SYNOPSIS
snmpdf [COMMON OPTIONS] [-Cu] AGENT

DESCRIPTION
snmpdf is simply a networked version of the typical df command. It checks the disk space on the remote machine by examining the HOST-RESOURCES-MIB's hrStorageTable or the UCD-SNMP-MIB's dskTable. By default, the hrStorageTable is preferred as it typically contains more information. However, the -Cu argument can be passed to snmpdf to force the usage of the dskTable.

AGENT identifies a target SNMP agent, which is instrumented to monitor the gievn objects. At its simplest, the AGENT specification will consist of a hostname or an IPv4 address. In this situation, the command will attempt communication with the agent, using UDP/IPv4 to port 161 of the given target host. See the snmpcmd(1) manual page for a full list of the possible formats for AGENT.

See the netsnmp-snmpd.conf(5) manual page on setting up the dskTable using the disk directive in the snmpd.conf file.

OPTIONS

COMMON OPTIONS
    Please see snmpcmd(1) for a list of possible values for COMMON OPTIONS as well as their descriptions.

-Cu Forces the command to use dskTable in mib UCD-SNMP-MIB instead of the default to determine the storage information. Generally, the default use of hrStorageTable in mib HOST-RESOURCES-MIB is preferred because it typically contains more information.

EXAMPLES

% snmpdf -v 2c -c public localhost

Description       size (kB)         Used    Available Used%
/                   7524587      2186910      5337677   29%
/proc                     0            0            0    0%
/etc/mnttab               0            0            0    0%
/var/run            1223088           32      1223056    0%
/tmp                1289904        66848      1223056    5%
/cache               124330         2416       121914    1%
/vol                      0            0            0    0%
Real Memory          524288       447456        76832   85%
Swap Space          1420296       195192      1225104   13%

SEE ALSO
netsnmp-snmpd.conf(5), snmp.conf(5)